Bug 97344 - Filter items disappear after press space bar
Summary: Filter items disappear after press space bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-01-24 07:35 UTC by raal
Modified: 2016-10-25 19:08 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with screenshots (102.56 KB, application/x-zip)
2016-01-24 07:35 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-01-24 07:35:49 UTC
Created attachment 122184 [details]
test file with screenshots

Steps
 - open file 
 - click on the filter
 - click into the filter items - into white area
 - press space key

Actual results
All items disapper

expected results
One item selected and after space bar press this item unticked

See printscreens in the file.
Comment 1 Buovjaga 2016-01-28 16:03:43 UTC
Repro.
Works ok in 4.3.

Win 7 Pro 64-bit, Version: 5.0.4.2 (x64)
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)

4.3.0.1
Comment 2 raal 2016-01-29 12:15:36 UTC
Reproducible with Version: 4.5.0.0.alpha0+
Comment 3 raal 2016-01-29 14:27:01 UTC
This seems to have begun at the below commit.
Adding Cc: to Deena Francis ; Could you possibly take a look at this one?
Thanks

39937f1a341adcd07964285be3c2e71e70798d57 is the first bad commit
commit 39937f1a341adcd07964285be3c2e71e70798d57
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 20:39:53 2015 +0800

    source-hash-f340278df616921c663075be692264ca37d86d84
    
    commit f340278df616921c663075be692264ca37d86d84
    Author:     Deena Francis <deena.francis@gmail.com>
    AuthorDate: Mon Mar 23 06:54:36 2015 +0530
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Mar 26 14:20:28 2015 +0000
    
        Enhancement : tdf#89908 Add Search field to the autofilter
    
        Change-Id: Id44f61b5194f0a0898f8eed85ceadf78c3101aa1
        Reviewed-on: https://gerrit.libreoffice.org/14958
        Tested-by: Jenkins <ci@libreoffice.org>
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

:040000 040000 de15c4de741c20225e95bf38e238363e04c69f46 b16b6b5f42b3c897cd3e12a7727584be11f5349f M	opt
Comment 4 Dennis Francis 2016-01-30 08:59:14 UTC
In the absence of Deena, I will make an attempt to fix this.

Thanks.
Comment 5 Dennis Francis 2016-01-30 13:26:49 UTC
I have submitted a patch for review at https://gerrit.libreoffice.org/21922
Comment 6 Commit Notification 2016-03-10 14:47:03 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d799daa48987c4fa19696967dd98f690e7b94c4f

tdf#97344 : Allow focus change using mouse in autofilter popup

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-03-10 22:31:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36722b6b02f67826293946c461fb3943ec55e92b

wrap vcl::window* pointer members in VclPtr, tdf#97344 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.